declare const _default: "\n#if NUM_POINT_LIGHTS > 0\n\nstruct PointLight {\n  vec3 position;\n  vec4 color;\n  float range;\n  bool castShadows;\n};\n\nuniform PointLight uPointLights[NUM_POINT_LIGHTS];\nuniform samplerCube uPointLightShadowMaps[NUM_POINT_LIGHTS];\n\nvoid EvaluatePointLight(inout PBRData data, PointLight light, samplerCube shadowMap) {\n  vec3 posToLight = light.position - data.positionWorld;\n\n  float illuminated = bool(light.castShadows) ? getPunctualShadow(shadowMap, posToLight) : 1.0;\n\n  if (illuminated > 0.0) {\n    float invSqrFalloff = 1.0 / pow(light.range, 2.0);\n    float attenuation = getDistanceAttenuation(posToLight, invSqrFalloff);\n\n    Light l;\n    l.l = normalize(posToLight);\n    l.color = light.color;\n    l.attenuation = attenuation;\n    getSurfaceShading(data, l, illuminated);\n  }\n}\n#endif\n";
export default _default;
