declare namespace _default {
    export { PI };
    export { TWO_PI };
    export { saturate };
    export { transposeMat4 };
    export { quatToMat4 };
    export { transposeMat3 };
    export { inverseMat4 };
}
export default _default;
declare const PI: "\nconst float PI = 3.14159265359;\n";
declare const TWO_PI: "\nconst float TWO_PI = 6.28318530718;\n";
declare const saturate: "\n#define MEDIUMP_FLT_MAX    65504.0\n#define MEDIUMP_FLT_MIN    0.00006103515625\n\n// Could be 1e-5 on Desktop\n#define FLT_EPS            MEDIUMP_FLT_MIN\n\n// Could be NOP on desktop\n#define saturateMediump(x) min(x, MEDIUMP_FLT_MAX)\n\n#define saturate(x) clamp(x, 0.0, 1.0)\n";
declare const transposeMat4: "\n#if (__VERSION__ < 300)\nmat4 transpose(mat4 m) {\n  return mat4(\n    m[0][0], m[1][0], m[2][0], m[3][0],\n    m[0][1], m[1][1], m[2][1], m[3][1],\n    m[0][2], m[1][2], m[2][2], m[3][2],\n    m[0][3], m[1][3], m[2][3], m[3][3]\n  );\n}\n#endif\n";
declare const quatToMat4: "\nmat4 quatToMat4(vec4 q) {\n  float xs = q.x + q.x;\n  float ys = q.y + q.y;\n  float zs = q.z + q.z;\n  float wx = q.w * xs;\n  float wy = q.w * ys;\n  float wz = q.w * zs;\n  float xx = q.x * xs;\n  float xy = q.x * ys;\n  float xz = q.x * zs;\n  float yy = q.y * ys;\n  float yz = q.y * zs;\n  float zz = q.z * zs;\n  return transpose(\n      mat4(\n          1.0 - (yy + zz), xy - wz, xz + wy, 0.0,\n          xy + wz, 1.0 - (xx + zz), yz - wx, 0.0,\n          xz - wy, yz + wx, 1.0 - (xx + yy), 0.0,\n          0.0, 0.0, 0.0, 1.0\n      )\n  );\n}\n";
declare const transposeMat3: "\n#if (__VERSION__ < 300)\nmat3 transpose(mat3 m) {\n  return mat3(m[0][0], m[1][0], m[2][0],\n              m[0][1], m[1][1], m[2][1],\n              m[0][2], m[1][2], m[2][2]);\n}\n#endif\n";
declare const inverseMat4: "\n#if (__VERSION__ < 300)\nmat4 inverse(mat4 m) {\n  float\n      a00 = m[0][0], a01 = m[0][1], a02 = m[0][2], a03 = m[0][3],\n      a10 = m[1][0], a11 = m[1][1], a12 = m[1][2], a13 = m[1][3],\n      a20 = m[2][0], a21 = m[2][1], a22 = m[2][2], a23 = m[2][3],\n      a30 = m[3][0], a31 = m[3][1], a32 = m[3][2], a33 = m[3][3],\n\n      b00 = a00 * a11 - a01 * a10,\n      b01 = a00 * a12 - a02 * a10,\n      b02 = a00 * a13 - a03 * a10,\n      b03 = a01 * a12 - a02 * a11,\n      b04 = a01 * a13 - a03 * a11,\n      b05 = a02 * a13 - a03 * a12,\n      b06 = a20 * a31 - a21 * a30,\n      b07 = a20 * a32 - a22 * a30,\n      b08 = a20 * a33 - a23 * a30,\n      b09 = a21 * a32 - a22 * a31,\n      b10 = a21 * a33 - a23 * a31,\n      b11 = a22 * a33 - a23 * a32,\n\n      det = b00 * b11 - b01 * b10 + b02 * b09 + b03 * b08 - b04 * b07 + b05 * b06;\n\n  return mat4(\n      a11 * b11 - a12 * b10 + a13 * b09,\n      a02 * b10 - a01 * b11 - a03 * b09,\n      a31 * b05 - a32 * b04 + a33 * b03,\n      a22 * b04 - a21 * b05 - a23 * b03,\n      a12 * b08 - a10 * b11 - a13 * b07,\n      a00 * b11 - a02 * b08 + a03 * b07,\n      a32 * b02 - a30 * b05 - a33 * b01,\n      a20 * b05 - a22 * b02 + a23 * b01,\n      a10 * b10 - a11 * b08 + a13 * b06,\n      a01 * b08 - a00 * b10 - a03 * b06,\n      a30 * b04 - a31 * b02 + a33 * b00,\n      a21 * b02 - a20 * b04 - a23 * b00,\n      a11 * b07 - a10 * b09 - a12 * b06,\n      a00 * b09 - a01 * b07 + a02 * b06,\n      a31 * b01 - a30 * b03 - a32 * b00,\n      a20 * b03 - a21 * b01 + a22 * b00) / det;\n}\n#endif\n";
