declare const _default: "\n#ifdef USE_EMISSIVE_COLOR\n  uniform vec4 uEmissiveColor; // TODO: gltf assumes sRGB color, not linear\n  uniform float uEmissiveIntensity;\n#endif\n\n#ifdef USE_EMISSIVE_COLOR_MAP\n  uniform sampler2D uEmissiveColorMap; //assumes sRGB color, not linear\n\n  #ifdef USE_EMISSIVE_COLOR_MAP_TEX_COORD_TRANSFORM\n    uniform mat3 uEmissiveColorMapTexCoordTransform;\n  #endif\n\n  void getEmissiveColor(inout PBRData data) {\n    #ifdef USE_EMISSIVE_COLOR_MAP_TEX_COORD_TRANSFORM\n      vec2 texCoord = getTextureCoordinates(data, EMISSIVE_COLOR_MAP_TEX_COORD_INDEX, uEmissiveColorMapTexCoordTransform);\n    #else\n      vec2 texCoord = getTextureCoordinates(data, EMISSIVE_COLOR_MAP_TEX_COORD_INDEX);\n    #endif\n\n    data.emissiveColor = decode(texture2D(uEmissiveColorMap, texCoord), SRGB).rgb;\n\n    #ifdef USE_EMISSIVE_COLOR\n      data.emissiveColor *= uEmissiveIntensity * decode(uEmissiveColor, SRGB).rgb;\n    #endif\n\n    #if defined(USE_INSTANCED_COLOR)\n      #if !defined(DEPTH_PASS_ONLY) && !defined(DEPTH_PRE_PASS_ONLY)\n        data.emissiveColor *= decode(vColor, 3).rgb;\n      #endif\n    #endif\n  }\n#elif defined(USE_EMISSIVE_COLOR)\n  void getEmissiveColor(inout PBRData data) {\n    data.emissiveColor = uEmissiveIntensity * decode(uEmissiveColor, SRGB).rgb;\n    #if defined(USE_INSTANCED_COLOR)\n      #if !defined(DEPTH_PASS_ONLY) && !defined(DEPTH_PRE_PASS_ONLY)\n        data.emissiveColor *= decode(vColor, 3).rgb;\n      #endif\n    #endif\n  }\n#else\n  void getEmissiveColor(inout PBRData data) {\n    data.emissiveColor = vec3(0.0);\n  }\n#endif\n";
export default _default;
