declare const _default: "\nuniform float       uFogDensity;\n\nuniform vec3        uSunColor;\nuniform float       uSunDispertion;\nuniform float       uSunIntensity;\nuniform vec3        uInscatteringCoeffs;\nuniform vec3        uFogColor;\n\n// Fog adapted from from Iñigo Quilez article on fog\n// http://www.iquilezles.org/www/articles/fog/fog.htm\nvec4 fog(vec3 rgb, float dist, vec3 rayDir, vec3 sunDir) {\n  vec3 sunColor = toLinear(uSunColor).rgb;\n  vec3 fogColor = toLinear(uFogColor).rgb;\n\n  float minSc         = 0.02;\n  float density       = -(dist+1.0) * uFogDensity * 0.15 - dist * 0.0025;\n  float sunAmount     = pow(max(dot(rayDir, sunDir), 0.0), 1.0 / (0.008 + uSunDispertion*3.0));\n  sunAmount           = uSunIntensity * 10.0 * pow(sunAmount,10.0);\n  sunAmount           = max(0.0, min(sunAmount, 1.0));\n  vec3 sunFogColor    = mix(fogColor, sunColor, sunAmount);\n  vec3 insColor       = vec3(1.0) - clamp( vec3(\n        exp(density*(uInscatteringCoeffs.x+minSc)),\n        exp(density*(uInscatteringCoeffs.y+minSc)),\n        exp(density*(uInscatteringCoeffs.z+minSc))),\n      vec3(0), vec3(1));\n\n  return vec4(mix(rgb, sunFogColor, insColor), 1.0);\n}\n";
export default _default;
