declare const _default: "\nvec2 envMapOctahedral(vec3 dir) {\n  dir /= dot(vec3(1.0), abs(dir));\n  // Add epsylon to avoid bottom face flickering when sampling irradiance\n  dir += 0.00001;\n  if (dir.y < 0.0) {\n    dir.xy = vec2(1.0 - abs(dir.zx)) * sign(dir.xz);\n  }\n  else {\n    dir.xy = dir.xz;\n  }\n  dir.xy = dir.xy * 0.5;\n  dir.xy += 0.5; // move to center\n  // dir.xy = (dir.xy * 64.0 + 1.0) / 66.0;\n  return dir.xy;\n}\n\nvec2 envMapOctahedral(vec3 dir, float textureSize) {\n  dir /= dot(vec3(1.0), abs(dir));\n  if (dir.y < 0.0) {\n    dir.xy = vec2(1.0 - abs(dir.zx)) * sign(dir.xz);\n  }\n  else {\n    dir.xy = dir.xz;\n  }\n  dir.xy = dir.xy * 0.5;\n  dir.xy += 0.5; // move to center\n\n  // center on texels\n  dir.xy += 0.5 / textureSize;\n  dir.xy /= textureSize / (textureSize - 1.0);\n\n  return dir.xy;\n}\n\nvec2 envMapOctahedral(vec3 dir, float mipmapLevel, float roughnessLevel) {\n  float width = 2048.0;\n  float maxLevel = 11.0; // this should come from log of size\n  float levelSizeInPixels = pow(2.0, 1.0 + mipmapLevel + roughnessLevel);\n  float levelSize = max(64.0, width / levelSizeInPixels);\n  float roughnessLevelWidth = width / pow(2.0, 1.0 + roughnessLevel);\n  float vOffset = (width - pow(2.0, maxLevel - roughnessLevel));\n  float hOffset = 2.0 * roughnessLevelWidth - pow(2.0, log2(2.0 * roughnessLevelWidth) - mipmapLevel);\n  vec2 uv = envMapOctahedral(dir, levelSize);\n  uv *= levelSize;\n\n  return (uv + vec2(hOffset, vOffset)) / width;\n}\n";
export default _default;
