declare const _default: "\n\n#if NUM_DIRECTIONAL_LIGHTS > 0 || NUM_SPOT_LIGHTS > 0\n\n  //fron depth buf normalized z to linear (eye space) z\n  //http://stackoverflow.com/questions/6652253/getting-the-true-z-value-from-the-depth-buffer\n  // float ndcDepthToEyeSpaceProj(float ndcDepth, float near, float far) {\n  //   return 2.0 * near * far / (far + near - ndcDepth * (far - near));\n  // }\n\n  //otho\n  //z = (f - n) * (zn + (f + n)/(f-n))/2\n  //http://www.ogldev.org/www/tutorial47/tutorial47.html\n  const float DEPTH_TOLERANCE = 0.001;\n\n  float ndcDepthToEyeSpace(float ndcDepth, float near, float far) {\n    return (far - near) * (ndcDepth + (far + near) / (far - near)) / 2.0;\n  }\n\n  float readDepth(sampler2D depthMap, vec2 coord, float near, float far) {\n    float z_b = texture2D(depthMap, coord).r;\n    float z_n = 2.0 * z_b - 1.0;\n\n    return ndcDepthToEyeSpace(z_n, near, far);\n  }\n\n  float texture2DCompare(sampler2D depthMap, vec2 uv, float compare, float near, float far) {\n    float depth = readDepth(depthMap, uv, near, far);\n    if (depth >= far - DEPTH_TOLERANCE) return 1.0;\n    // if (depth >= far) return 1.0;\n    return step(compare, depth);\n  }\n\n  float texture2DShadowLerp(sampler2D depthMap, vec2 size, vec2 uv, float compare, float near, float far){\n    vec2 texelSize = vec2(1.0)/size;\n    vec2 f = fract(uv * size + 0.5);\n    vec2 centroidUV = floor(uv*size+0.5)/size;\n\n    float lb = texture2DCompare(depthMap, centroidUV+texelSize*vec2(0.0, 0.0), compare, near, far);\n    float lt = texture2DCompare(depthMap, centroidUV+texelSize*vec2(0.0, 1.0), compare, near, far);\n    float rb = texture2DCompare(depthMap, centroidUV+texelSize*vec2(1.0, 0.0), compare, near, far);\n    float rt = texture2DCompare(depthMap, centroidUV+texelSize*vec2(1.0, 1.0), compare, near, far);\n    float a = mix(lb, lt, f.y);\n    float b = mix(rb, rt, f.y);\n    float c = mix(a, b, f.x);\n\n    return c;\n  }\n\n  float rand(float seed) {\n      return fract(sin(seed) * 1231534.9);\n  }\n\n  float rand(vec2 seed) {\n      return rand(dot(seed, vec2(12.9898, 783.233)));\n  }\n\n  //random vector with length 1\n  vec2 rand2(vec2 seed) {\n    const float pi = 3.1415926535897932384626433832795;\n    const float twopi = 2.0 * pi;\n    float r = rand(seed) * twopi;\n    return vec2(cos(r), sin(r));\n  }\n\n  vec2 rotate(vec2 v, float a) {\n    float s = sin(a);\n    float c = cos(a);\n    mat2 m = mat2(c, -s, s, c);\n    return m * v;\n  }\n\n  float PCF3x3(sampler2D depths, vec2 size, vec2 uv, float compare, float near, float far){\n    float result = 0.0;\n    for(int x=-1; x<=1; x++){\n        for(int y=-1; y<=1; y++){\n            vec2 off = vec2(x,y)/float(size);\n            result += texture2DShadowLerp(depths, size, uv+off, compare, near, far);\n        }\n    }\n    return result/9.0;\n  }\n\n  float PCF5x5(sampler2D depths, vec2 size, vec2 uv, float compare, float near, float far){\n    float result = 0.0;\n    for(int x=-2; x<=2; x++){\n        for(int y=-2; y<=2; y++){\n            vec2 off = vec2(x,y)/float(size);\n            result += texture2DShadowLerp(depths, size, uv+off, compare, near, far);\n        }\n    }\n    return result/25.0;\n  }\n\n  float PCF5x5Penumbra(sampler2D depths, vec2 size, vec2 uv, float compare, float near, float far, float radius){\n    float result = 0.0;\n    for(int x=-2; x<=2; x++){\n        for(int y=-2; y<=2; y++){\n            vec2 off = vec2(x,y)/float(size) * radius;\n            off = rotate(off, rand(uv));\n            result += texture2DShadowLerp(depths, size, uv + off, compare, near, far);\n        }\n    }\n    return result/25.0;\n  }\n  vec2 FindBlockers(sampler2D depthMap, vec2 size, vec2 uv, float receiverDepth, float near, float far){\n    float blockers = 0.0;\n    float avgBlockerDistance = 0.0;\n    float result = 0.0;\n    for(int x=-2; x<=2; x++){\n        for(int y=-2; y<=2; y++){\n            vec2 off = vec2(x,y)/float(size) * 10.0;\n            off = rotate(off, rand(uv));\n            off += rand2(uv) * 0.01;\n            float depth = readDepth(depthMap, uv + off, near, far);\n            // if (step(receiverDepth, depth) <= 0.0) {\n            if (depth < receiverDepth) {\n              blockers += 1.0;\n              avgBlockerDistance += depth;\n            }\n        }\n    }\n\n    if (blockers > 0.0) {\n      avgBlockerDistance /= blockers;\n      // return vec2(1.0);\n    }\n    // return vec2(0.0);\n    return vec2(avgBlockerDistance, blockers);\n  }\n  float getSoftShadow(sampler2D depths, vec2 size, vec2 uv, float compare, float near, float far) {\n    float receiverDepth = compare;\n    vec2 averageBlocker = FindBlockers(depths, size, uv, receiverDepth, near, far);\n    float averageBlockerDepth = averageBlocker.x;\n\n    float blockerCount = averageBlocker.y;\n    float penumbraSize = 1.0;\n    float lightSize = 3.0;\n\n    if (averageBlockerDepth > 0.0) {\n      penumbraSize = lightSize * (receiverDepth - averageBlockerDepth);\n    }\n    float illuminated = PCF5x5Penumbra(depths, size, uv, compare, near, far, penumbraSize);\n    return illuminated;\n  }\n\n  float getShadow(sampler2D depths, vec2 size, vec2 uv, float compare, float near, float far) {\n    if (uv.x < 0.0 || uv.y < 0.0 || uv.x > 1.0 || uv.y > 1.0) {\n      return 1.0;\n    }\n    #if SHADOW_QUALITY == 0\n      float illuminated = 1.0;\n    #endif\n    #if SHADOW_QUALITY == 1\n      float illuminated = texture2DCompare(depths, uv, compare, near, far);\n    #endif\n    #if SHADOW_QUALITY == 2\n      float illuminated = texture2DShadowLerp(depths, size, uv, compare, near, far);\n    #endif\n    #if SHADOW_QUALITY == 3\n      float illuminated = PCF3x3(depths, size, uv, compare, near, far);\n    #endif\n    #if SHADOW_QUALITY == 4\n      float illuminated = PCF5x5(depths, size, uv, compare, near, far);\n    #endif\n    #if SHADOW_QUALITY == 5\n      float illuminated = getSoftShadow(depths, size, uv, compare, near, far);\n    #endif\n    return illuminated;\n  }\n#endif\n\n#if NUM_POINT_LIGHTS > 0\n  float getPunctualShadow(samplerCube depths, vec3 posToLight) {\n    float dist = length(posToLight);\n    vec3 N = -normalize(posToLight);\n    float far = 10.0;\n    float depth = unpackDepth(textureCube(depths, N)) * far;\n\n    if (dist - 0.05 > depth) {\n      return 0.0;\n    }\n\n    return 1.0;\n\n    // float depth = textureCube(depths, N).r;\n    // illuminated = (depth - dist);\n    // illuminated = step(dist, depth / 2.0);\n\n    // data.directDiffuse = vec3(fract(depth));\n    // data.directDiffuse = vec3(fract(dist));\n    // data.directDiffuse = vec3(illuminated);\n  }\n#endif\n";
export default _default;
