declare const _default: "\nprecision highp float;\n\nvarying vec2 vTexCoord;\n\nuniform float near;\nuniform float far;\nuniform float fov;\n\nuniform sampler2D image;\nuniform sampler2D emissiveTex;\nuniform vec2 imageSize;\n\nuniform float uExposure;\nuniform float uBloomThreshold;\n\nfloat perceivedBrightness(vec3 c) {\n  return (c.r + c.g + c.b) / 3.0;\n  //return 0.299 * c.r + 0.587 * c.g + 0.114 * c.b;\n}\n\nvoid main() {\n  vec2 vUV = vec2(gl_FragCoord.x / imageSize.x, gl_FragCoord.y / imageSize.y);\n  vec4 color = texture2D(image, vUV);\n  color.rgb *= uExposure;\n  float brightness = perceivedBrightness(color.rgb);\n  float smoothRange = 0.1;\n  float t1 = uBloomThreshold * (1.0 - smoothRange);\n  float t2 = uBloomThreshold * (1.0 + smoothRange);\n  if (brightness > t1) {\n    gl_FragColor = color * smoothstep(t1, t2, brightness);\n  } else {\n    gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);\n  }\n\n  gl_FragColor += texture2D(emissiveTex, vUV);\n}\n";
export default _default;
